#PBS -N matrixVectorMultiply
#PBS -l walltime=00:010:00
#PBS -l nodes=1:ppn=8
#PBS -j oe
# Change to the directory from which the job was submitted.
#cd $PBS_O_WORKDIR

# Make the code cleanly
make all

# Execute the program, varying the number of threads between 1 and 8.
echo starting with a 5000 by 5000 matrix and varying between 1 and 8 threads
valgrind --tool=cachegrind --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 1 5000 5000
cg_annotate valgrind.out

valgrind --tool=cachegrind --cachegrind-out-file=valgrind.out  ./pth_mat_vect_rand 2 5000 5000
cg_annotate valgrind.out

valgrind --tool=cachegrind --cachegrind-out-file=valgrind.out  ./pth_mat_vect_rand 3 5000 5000
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 4 5000 5000
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 5 5000 5000
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 6 5000 5000
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 7 5000 5000
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 8 5000 5000
cg_annotate valgrind.out


# Execute the program, varying the number of threads between 1 and 8.
echo starting with a 5000000 by 5 matrix and varying between 1 and 8 threads
valgrind --tool=cachegrind --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 1 5000000 5
cg_annotate valgrind.out

valgrind --tool=cachegrind --cachegrind-out-file=valgrind.out  ./pth_mat_vect_rand 2 5000000 5
cg_annotate valgrind.out

valgrind --tool=cachegrind --cachegrind-out-file=valgrind.out  ./pth_mat_vect_rand 3 5000000 5
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 4 5000000 5
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 5 5000000 5
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 6 5000000 5
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 7 5000000 5
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 8 5000000 5
cg_annotate valgrind.out


# Execute the program, varying the number of threads between 1 and 8.
echo starting with a 5 by 5000000 matrix and varying between 1 and 8 threads
valgrind --tool=cachegrind --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 1 5 5000000 
cg_annotate valgrind.out

valgrind --tool=cachegrind --cachegrind-out-file=valgrind.out  ./pth_mat_vect_rand 2 5 5000000 
cg_annotate valgrind.out

valgrind --tool=cachegrind --cachegrind-out-file=valgrind.out  ./pth_mat_vect_rand 3 5 5000000 
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 4 5 5000000 
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 5 5 5000000 
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 6  5 5000000 
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 7 5 5000000 
cg_annotate valgrind.out

valgrind --tool=cachegrind  --cachegrind-out-file=valgrind.out ./pth_mat_vect_rand 8 5 5000000 
cg_annotate valgrind.out





